Subject: RE: [Enum] RE: draft-loughney-enum-roaming-00.txt

From: James Yu <[email-masked]>
Date: Sat, 2 Dec 2000 00:09:57 -0600

Valerie,

I'll try to answer some of the questions.  

> 1) You do a search on the mobile subscriber within e164.arpa 
> number and you
> get a DNS record with a service flag saying "roam+E2I". I 
> suppose that you
> can also receive other DNS records, like "E2U" or "SIP+E2U". 
> Am I correct ?

Yes, other DNS records can be retrieved (all NAPTR RRs associated with the
same number are retrieved).

> 2) If so, how can the "roam+E2I" is chosen ? It should be on 
> a priority
> basis that is enterd according to the subscriber. Am I right ?

The mobile application that invokes the ENUM process knows that it only
needs the NAPTR RRs that have a service flag saying "roam+E2I."

> 3)If so, does it mean that the subscriber has to put the 
> roaming always in
> first priority ?

"roam" is a service that I consider a "network-related" service.  That is,
"roam" is not an end user application service such as e-mail address and SIP
phone address.  It is one of the "network-related" services that a telephony
service provider (the entity that currently serves the telephone number).
So end user does not provision those NAPTR RRs.  The telephony service
provider (in this case the cellular operator) does that.  Please see
draft-pfautz-yu-enum-adm.00.txt that has a brief discussion on
"network-related services" and "end user application services."

My personal view about end user application services:  any service that an
end user can subscribe from more than one service providers.  If a service
can only be supported/offered by a telephony service provider, it is a
network-related service.
 
> 4) where do the e214.arpa and e212.arpa searches take place ?

Using GSM model, the search for e214.arpa or e212.arpa begins for the first
message to be sent from the visited mobile network (e.g., VLR) to the home
mobile network (e.g., HLR).  This is because the visited mobile network
knows the IMSI of the roamer via the registration/authentication process
before it communicates with the home mobile network.  Certainly, if the
visited network maintains a table that maps the first 5/6 digits of the IMSI
(mobile country code+ mobile network code) to a URL, a domain name or even
an IP address, then there is no need to use ENUM to locate the HLR
associated with an IMSI. 

> 5) in the§4 example, Nokia offers the service "roam+E2I". 
> Does it mean that
> Nokia (which is a manufacturer and not a mobile operator, but 
> I may be too
> square) knows the IP address of the VLR or HLR ?
> 6) I am not an SCCP or a mobile specialist, but in the case 
> of 3G to 2G
> roaming, I think that 2G nodes might not have an IP address. 
> In case they
> have, it wouldn't be necessary to use E.212 or E.214. I don't 
> know if this
> assumption is correct.

This is correct.  But ENUM can be used to determine whether the home mobile
network supports IP and even the protocol (e.g., ANSI-41 or GSM) used by the
HLR.

ENUM can also be used to identify the short message center associated with
the cellular subscriber's phone number.  This happens when the cellular MSC
needs to transport a short message destined for a cellular subscriber who
may be in the home or roaming.
> 
> Could you follow on your §4 nokia example to picture a situation where
> e214.arpa or e212.searches would be necessary and used ?
> 
> Thank you.
> 
> Valerie.
> 
>  
> end of message
> _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
> 
> Valérie Barnole
> 
> FTR&D/DAC/ACE
> 
> tel. : + 33 1 45 29 58 39
> fax : + 33 1 46 29 31 42
> 
> mail to : [email-masked]
> 
> 
> 
> -----Message d'origine-----
> De : James Yu [mailto:[email-masked]]
> Envoyé : mercredi 29 novembre 2000 19:27
> À : 'BARNOLE Valerie FTRD/DAC/ISS'
> Cc : [email-masked]; [email-masked]'
> Objet : RE: [Enum] RE: draft-loughney-enum-roaming-00.txt
> 
> 
> Valerie,
> 
> enum is for E.164 number so E.212 (IMSI) or E.214 (mobile 
> global title)
> needs to use something else such as e212.arpa or e214.arpa.  
> The reason
> E.214 is used today in the GSM has reasons due to SS7 message 
> routing across
> national boundaries.  IMHO, we probably only need e212.arpa.
> 
> One thing good about IMSI is that it is not portable (e.g., there is a
> mobile network code that belongs to the cellular carrier) and 
> the cellular
> carriers are the ones that control those numbers (e.g., they 
> can be the T2E
> for their own IMSIs).  So there is no need to populate 
> individual IMSIs at
> the T1E.  A block of IMSIs will do the job.  For example, the 
> T1E can point
> to a T2E based on the first six digits of the IMSI.  The T2E 
> returns the
> NAPTR RRs for the associated IMSI.
> 
> The draft is for cases when E.164 numbers are used to 
> identify cellular node
> (e.g., HLR, VLR and message center, etc.).
> 
> James 
> 
> > -----Original Message-----
> > From: BARNOLE Valerie FTRD/DAC/ISS
> > [mailto:[email-masked]]
> > Sent: Wednesday, November 29, 2000 12:09 PM
> > To: [email-masked]'; [email-masked]; [email-masked]
> > Subject: RE: [Enum] RE: draft-loughney-enum-roaming-00.txt
> > 
> > 
> > John,
> > I am sorry, I can't retrieve your 
> > draft-loughney-enum-roaming-00.txt. Can
> > you send it, please ?
> > 
> > I suppose that in this draft, you populate the DNS with 
> E.212 or E.214
> > numbers. I do not have your draft to see how you deal with the
> > confidentiality of the IMSI, but my first idea is that mobile 
> > operators
> > should be very reluctant to populate the DNS with such 
> > confidential data.
> > Thank you for sending me your draft.
> > 
> > Regards,
> > 
> > Valerie.
> > 
> > end of message
> > _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
> > 
> > Valérie Barnole
> > 
> > FTR&D/DAC/ACE
> > 
> > tel. : + 33 1 45 29 58 39
> > fax : + 33 1 46 29 31 42
> > 
> > mail to : [email-masked]
> > 
> > 
> > 
> > -----Message d'origine-----
> > De : [email-masked] [mailto:[email-masked]]
> > Envoyé : mardi 7 novembre 2000 08:34
> > À : [email-masked]; [email-masked]
> > Cc : [email-masked]
> > Objet : [Enum] RE: draft-loughney-enum-roaming-00.txt
> > 
> > 
> > Hi James & everyone,
> > 
> > > One reason that GTT is used in SS7 message transport is 
> > > because the message routing in many cases involve two 
> > > cellular networks in different countries. A SS7 point code 
> > > in U.K. cannot be used directly by a SS7 node in France to
> > > send a SS7 message to.   IP will change that because IP is 
> > > global.  This is just one example of use of ENUM.  Another 
> > > example is to identify the message center that serves a 
> > > particular cellular subscriber when there is a short
> > > message destined towards that subscriber.  In this example, 
> > > the E.164 number is assigned to an cellular subscriber; 
> > > however, the service that uses ENUM is again a "network-related 
> > > service."
> > 
> > Thanks for summarizing the intention of this draft.  You did 
> > a much better job that what I did at Pittsburgh :)
> > 
> > I also want to mention that this issues will get much more
> > complicated in the proposed 3G networks.  There will be 
> > operators implementing all of their networks over IP.  In 
> > your scenario, there will need to be some negotiation/
> > mapping between the SS7 addresses and IP address that will
> > be assigned for the VLR/HLR.
> > 
> > One further complication is that there may be AAA servers 
> > providing the same functionality for 3G cellular subscribers.
> > 
> > I would like to think that ENUM could be a techology that is
> > used to promote interoperability/interworking for this 
> > purpose.
> > 
> > > John and I would like to hear from you to see whether they is 
> > > any problem to move this I-D forward.  
> > 
> > thanks,
> > John
> > 
> > 
> > _______________________________________________
> > enum mailing list
> > [email-masked]
> > http://www1.ietf.org/mailman/listinfo/enum
> > 
> > _______________________________________________
> > enum mailing list
> > [email-masked]
> > http://www1.ietf.org/mailman/listinfo/enum
> > 
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/enum
> 

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum